package cn.hmsoft.frame.constants;

/**************************
 * 值类型
 * 
 * @author zxq
 * @create 2019-05-27 11:54:23
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public enum FrameValueType {

	/*****************************
	 * 字符串
	 */
	String("String"),
	/*****************************
	 * 日期（无时间）
	 */
	LocalDate("LocalDate"),
	/*****************************
	 * 时间
	 */
	LocalTime("LocalTime"),
	/*****************************
	 * 日期时间
	 */
	LocalDateTime("LocalDateTime"),
	/*****************************
	 * 数字
	 */
	Integer("Integer"),
	/*****************************
	 * 布尔值
	 */
	Boolean("Boolean");

	private String value;

	private FrameValueType(String value) {
		this.value = value;
	}

	public String toString() {
		return this.value;
	}
}
